diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/helper/tap-fd-net-device-helper.h ns-3.43/src/fd-net-device/helper/tap-fd-net-device-helper.h
--- ns-3.42/src/fd-net-device/helper/tap-fd-net-device-helper.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/helper/tap-fd-net-device-helper.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 INRIA, 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/model/dpdk-net-device.cc ns-3.43/src/fd-net-device/model/dpdk-net-device.cc
--- ns-3.42/src/fd-net-device/model/dpdk-net-device.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/model/dpdk-net-device.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Harsh Patel <thadodaharsh10@gmail.com>
  *         Hrishikesh Hiraskar <hrishihiraskar@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/model/dpdk-net-device.h ns-3.43/src/fd-net-device/model/dpdk-net-device.h
--- ns-3.42/src/fd-net-device/model/dpdk-net-device.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/model/dpdk-net-device.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 NITK Surathkal
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Harsh Patel <thadodaharsh10@gmail.com>
  *         Hrishikesh Hiraskar <hrishihiraskar@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/model/fd-net-device.cc ns-3.43/src/fd-net-device/model/fd-net-device.cc
--- ns-3.42/src/fd-net-device/model/fd-net-device.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/model/fd-net-device.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 INRIA, 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Alina Quereilhac <alina.quereilhac@inria.fr>
  *         Claudio Freire <klaussfreire@sourceforge.net>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/model/fd-net-device.h ns-3.43/src/fd-net-device/model/fd-net-device.h
--- ns-3.42/src/fd-net-device/model/fd-net-device.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/model/fd-net-device.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 INRIA, 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Alina Quereilhac <alina.quereilhac@inria.fr>
  *         Claudio Freire <klaussfreire@sourceforge.net>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/model/netmap-net-device.cc ns-3.43/src/fd-net-device/model/netmap-net-device.cc
--- ns-3.42/src/fd-net-device/model/netmap-net-device.cc	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/model/netmap-net-device.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Pasquale Imputato <p.imputato@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/fd-net-device/model/netmap-net-device.h ns-3.43/src/fd-net-device/model/netmap-net-device.h
--- ns-3.42/src/fd-net-device/model/netmap-net-device.h	2024-05-29 15:29:46.948073100 -0700
+++ ns-3.43/src/fd-net-device/model/netmap-net-device.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Pasquale Imputato <p.imputato@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/examples/wifi-olsr-flowmon.py ns-3.43/src/flow-monitor/examples/wifi-olsr-flowmon.py
--- ns-3.42/src/flow-monitor/examples/wifi-olsr-flowmon.py	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/examples/wifi-olsr-flowmon.py	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 # -*-  Mode: Python; -*-
 #  Copyright (c) 2009 INESC Porto
 #
-#  This program is free software; you can redistribute it and/or modify
-#  it under the terms of the GNU General Public License version 2 as
-#  published by the Free Software Foundation;
-#
-#  This program is distributed in the hope that it will be useful,
-#  but WITHOUT ANY WARRANTY; without even the implied warranty of
-#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-#  GNU General Public License for more details.
-#
-#  You should have received a copy of the GNU General Public License
-#  along with this program; if not, write to the Free Software
-#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#  SPDX-License-Identifier: GPL-2.0-only
 #
 #  Authors: Gustavo Carneiro <gjc@inescporto.pt>
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/helper/flow-monitor-helper.cc ns-3.43/src/flow-monitor/helper/flow-monitor-helper.cc
--- ns-3.42/src/flow-monitor/helper/flow-monitor-helper.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/helper/flow-monitor-helper.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/helper/flow-monitor-helper.h ns-3.43/src/flow-monitor/helper/flow-monitor-helper.h
--- ns-3.42/src/flow-monitor/helper/flow-monitor-helper.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/helper/flow-monitor-helper.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/model/flow-classifier.cc ns-3.43/src/flow-monitor/model/flow-classifier.cc
--- ns-3.42/src/flow-monitor/model/flow-classifier.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/model/flow-classifier.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/model/flow-classifier.h ns-3.43/src/flow-monitor/model/flow-classifier.h
--- ns-3.42/src/flow-monitor/model/flow-classifier.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/model/flow-classifier.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/model/flow-monitor.cc ns-3.43/src/flow-monitor/model/flow-monitor.cc
--- ns-3.42/src/flow-monitor/model/flow-monitor.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/model/flow-monitor.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 //
@@ -24,6 +13,7 @@
 #include "ns3/simulator.h"
 
 #include <fstream>
+#include <limits>
 #include <sstream>
 
 #define PERIODIC_CHECK_INTERVAL (Seconds(1))
@@ -125,6 +115,8 @@
         ref.delaySum = Seconds(0);
         ref.jitterSum = Seconds(0);
         ref.lastDelay = Seconds(0);
+        ref.maxDelay = Seconds(0);
+        ref.minDelay = Seconds(std::numeric_limits<double>::max());
         ref.txBytes = 0;
         ref.rxBytes = 0;
         ref.txPackets = 0;
@@ -245,6 +237,14 @@
         }
     }
     stats.lastDelay = delay;
+    if (delay > stats.maxDelay)
+    {
+        stats.maxDelay = delay;
+    }
+    if (delay < stats.minDelay)
+    {
+        stats.minDelay = delay;
+    }
 
     stats.rxBytes += packetSize;
     stats.packetSizeHistogram.AddValue((double)packetSize);
@@ -443,15 +443,14 @@
     for (auto flowI = m_flowStats.begin(); flowI != m_flowStats.end(); flowI++)
     {
         os << std::string(indent, ' ');
-#define ATTRIB(name) << " " #name "=\"" << flowI->second.name << "\""
-#define ATTRIB_TIME(name) << " " #name "=\"" << flowI->second.name.As(Time::NS) << "\""
-        os << "<Flow flowId=\"" << flowI->first
-           << "\"" ATTRIB_TIME(timeFirstTxPacket) ATTRIB_TIME(timeFirstRxPacket)
-                  ATTRIB_TIME(timeLastTxPacket) ATTRIB_TIME(timeLastRxPacket) ATTRIB_TIME(delaySum)
-                      ATTRIB_TIME(jitterSum) ATTRIB_TIME(lastDelay) ATTRIB(txBytes) ATTRIB(rxBytes)
-                          ATTRIB(txPackets) ATTRIB(rxPackets) ATTRIB(lostPackets)
-                              ATTRIB(timesForwarded)
-           << ">\n";
+#define ATTRIB(name) " " #name "=\"" << flowI->second.name << "\""
+#define ATTRIB_TIME(name) " " #name "=\"" << flowI->second.name.As(Time::NS) << "\""
+        os << "<Flow flowId=\"" << flowI->first << "\"" << ATTRIB_TIME(timeFirstTxPacket)
+           << ATTRIB_TIME(timeFirstRxPacket) << ATTRIB_TIME(timeLastTxPacket)
+           << ATTRIB_TIME(timeLastRxPacket) << ATTRIB_TIME(delaySum) << ATTRIB_TIME(jitterSum)
+           << ATTRIB_TIME(lastDelay) << ATTRIB_TIME(maxDelay) << ATTRIB_TIME(minDelay)
+           << ATTRIB(txBytes) << ATTRIB(rxBytes) << ATTRIB(txPackets) << ATTRIB(rxPackets)
+           << ATTRIB(lostPackets) << ATTRIB(timesForwarded) << ">\n";
 #undef ATTRIB_TIME
 #undef ATTRIB
 
@@ -539,6 +538,8 @@
         flowStat.delaySum = Seconds(0);
         flowStat.jitterSum = Seconds(0);
         flowStat.lastDelay = Seconds(0);
+        flowStat.maxDelay = Seconds(0);
+        flowStat.minDelay = Seconds(std::numeric_limits<double>::max());
         flowStat.txBytes = 0;
         flowStat.rxBytes = 0;
         flowStat.txPackets = 0;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/model/flow-monitor.h ns-3.43/src/flow-monitor/model/flow-monitor.h
--- ns-3.42/src/flow-monitor/model/flow-monitor.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/model/flow-monitor.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 //
@@ -89,6 +78,10 @@
         /// Contains the last measured delay of a packet
         /// It is stored to measure the packet's Jitter
         Time lastDelay;
+        /// Contains the largest measured delay of a received packet
+        Time maxDelay;
+        /// Contains the smallest measured delay of a received packet
+        Time minDelay;
 
         /// Total number of transmitted bytes for the flow
         uint64_t txBytes;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/model/flow-probe.cc ns-3.43/src/flow-monitor/model/flow-probe.cc
--- ns-3.42/src/flow-monitor/model/flow-probe.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/model/flow-probe.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/model/flow-probe.h ns-3.43/src/flow-monitor/model/flow-probe.h
--- ns-3.42/src/flow-monitor/model/flow-probe.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/model/flow-probe.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/model/ipv4-flow-classifier.cc ns-3.43/src/flow-monitor/model/ipv4-flow-classifier.cc
--- ns-3.42/src/flow-monitor/model/ipv4-flow-classifier.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/model/ipv4-flow-classifier.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/model/ipv4-flow-classifier.h ns-3.43/src/flow-monitor/model/ipv4-flow-classifier.h
--- ns-3.42/src/flow-monitor/model/ipv4-flow-classifier.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/model/ipv4-flow-classifier.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/model/ipv4-flow-probe.cc ns-3.43/src/flow-monitor/model/ipv4-flow-probe.cc
--- ns-3.42/src/flow-monitor/model/ipv4-flow-probe.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/model/ipv4-flow-probe.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/model/ipv4-flow-probe.h ns-3.43/src/flow-monitor/model/ipv4-flow-probe.h
--- ns-3.42/src/flow-monitor/model/ipv4-flow-probe.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/model/ipv4-flow-probe.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/model/ipv6-flow-classifier.cc ns-3.43/src/flow-monitor/model/ipv6-flow-classifier.cc
--- ns-3.42/src/flow-monitor/model/ipv6-flow-classifier.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/model/ipv6-flow-classifier.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 // Modifications: Tommaso Pecorella <tommaso.pecorella@unifi.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/model/ipv6-flow-classifier.h ns-3.43/src/flow-monitor/model/ipv6-flow-classifier.h
--- ns-3.42/src/flow-monitor/model/ipv6-flow-classifier.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/model/ipv6-flow-classifier.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 // Modifications: Tommaso Pecorella <tommaso.pecorella@unifi.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/model/ipv6-flow-probe.cc ns-3.43/src/flow-monitor/model/ipv6-flow-probe.cc
--- ns-3.42/src/flow-monitor/model/ipv6-flow-probe.cc	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/model/ipv6-flow-probe.cc	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 // Modifications: Tommaso Pecorella <tommaso.pecorella@unifi.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/flow-monitor/model/ipv6-flow-probe.h ns-3.43/src/flow-monitor/model/ipv6-flow-probe.h
--- ns-3.42/src/flow-monitor/model/ipv6-flow-probe.h	2024-05-29 15:29:46.952073000 -0700
+++ ns-3.43/src/flow-monitor/model/ipv6-flow-probe.h	2024-10-09 16:41:09.876655800 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 // Modifications: Tommaso Pecorella <tommaso.pecorella@unifi.it>
